List mail history imports
Lists the most recent history imports for a mailbox. Request: GET /v1/mailboxes/{id}/imports. Scope: mailboxes:read.
GET
Lists the most recent history imports for a mailbox.
apiKeyheader
x-api-key<token>id*stringMatch
^mbx_[0-9a-hjkmnp-tv-z]{16,24}$Success
application/json- response
items*array<>import { createClient } from "samva";
const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });
const result = await samva.mailboxes.listImports({
"id": "example"
});Example Response
{
"items": [
{
"id": "string",
"mailboxId": "string",
"status": "queued",
"imported": 0,
"skippedDuplicate": 0,
"skippedSpamTrash": 0,
"failed": 0,
"failures": [
{
"offset": 0,
"message": "string"
}
]
}
]
}